Package wx :: Class DateTime

[frames | no frames]

## Type DateTime

    object --+
             |
            DateTime

Proxy of C++ DateTime class

Method Summary
DateTime | `__init__(self)`
DateTime | ``__add__`(self, other)` __add__(self, DateSpan other) -> DateTime
| `__del__(self)`
bool | `__eq__(self, other)`
bool | `__ge__(self, other)`
bool | `__gt__(self, other)`
DateTime | ``__iadd__`(self, diff)` __iadd__(self, DateSpan diff) -> DateTime
DateTime | ``__isub__`(self, diff)` __isub__(self, DateSpan diff) -> DateTime
bool | `__le__(self, other)`
bool | `__lt__(self, other)`
bool | `__ne__(self, other)`
| `__nonzero__(self)`
| `__repr__(self)`
| `__str__(self)`
TimeSpan | ``__sub__`(self, other)` __sub__(self, TimeSpan other) -> DateTime __sub__(self, DateSpan other) -> DateTime
DateTime | `AddDS(self, diff)`
DateTime | `AddTS(self, diff)`
int | `ConvertYearToBC(year)` (Static method)
String | `Format(self, format, tz)`
String | `FormatDate(self)`
String | `FormatISODate(self)`
String | `FormatISOTime(self)`
String | `FormatTime(self)`
| ``FromTimezone`(*args, **kwargs)` FromTimezone(self, wxDateTime::TimeZone tz, bool noDST=False) -> DateTime
DateTime | `FromUTC(self, noDST)`
(am, pm) | ``GetAmPmStrings`()` Get the AM and PM strings in the current locale (may be empty) (Static method)
DateTime | `GetBeginDST(year, country)` (Static method)
int | `GetCentury(year)` (Static method)
int | `GetCountry()` (Static method)
int | `GetCurrentMonth(cal)` (Static method)
int | `GetCurrentYear(cal)` (Static method)
DateTime | `GetDateOnly(self)`
| ``GetDay`(*args, **kwargs)` GetDay(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
| ``GetDayOfYear`(*args, **kwargs)` GetDayOfYear(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
DateTime | `GetEndDST(year, country)` (Static method)
| ``GetHour`(*args, **kwargs)` GetHour(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
double | `GetJDN(self)`
double | `GetJulianDayNumber(self)`
DateTime | `GetLastMonthDay(self, month, year)`
DateTime | `GetLastWeekDay(self, weekday, month, year)`
| ``GetMillisecond`(*args, **kwargs)` GetMillisecond(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
| ``GetMinute`(*args, **kwargs)` GetMinute(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
double | `GetMJD(self)`
double | `GetModifiedJulianDayNumber(self)`
| ``GetMonth`(*args, **kwargs)` GetMonth(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
String | `GetMonthName(month, flags)` (Static method)
DateTime | `GetNextWeekDay(self, weekday)`
int | `GetNumberOfDaysInMonth(month, year, cal)` (Static method)
int | `GetNumberOfDaysinYear(year, cal)` (Static method)
DateTime | `GetPrevWeekDay(self, weekday)`
double | `GetRataDie(self)`
| ``GetSecond`(*args, **kwargs)` GetSecond(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
time_t | `GetTicks(self)`
| ``GetWeek`(*args, **kwargs)` GetWeek is deprecated, use GetWeekOfYear instead
| ``GetWeekDay`(*args, **kwargs)` GetWeekDay(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
DateTime | `GetWeekDayInSameWeek(self, weekday, flags)`
String | `GetWeekDayName(weekday, flags)` (Static method)
int | `GetWeekOfMonth(self, flags, tz)`
int | `GetWeekOfYear(self, flags, tz)`
| ``GetYear`(*args, **kwargs)` GetYear(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int
DateTime | `GetYearDay(self, yday)`
bool | `IsBetween(self, t1, t2)`
int | `IsDST(self, country)`
bool | `IsDSTApplicable(year, country)` (Static method)
bool | `IsEarlierThan(self, datetime)`
bool | `IsEqualTo(self, datetime)`
bool | `IsEqualUpTo(self, dt, ts)`
bool | `IsLaterThan(self, datetime)`
bool | `IsLeapYear(year, cal)` (Static method)
bool | `IsOk(self)`
bool | `IsSameDate(self, dt)`
bool | `IsSameTime(self, dt)`
bool | `IsStrictlyBetween(self, t1, t2)`
bool | `IsValid(self)`
bool | `IsWestEuropeanCountry(country)` (Static method)
bool | `IsWorkDay(self, country)`
| ``MakeFromTimezone`(*args, **kwargs)` MakeFromTimezone(self, wxDateTime::TimeZone tz, bool noDST=False) -> DateTime
DateTime | `MakeFromUTC(self, noDST)`
DateTime | `MakeGMT(self, noDST)`
| ``MakeTimezone`(*args, **kwargs)` MakeTimezone(self, wxDateTime::TimeZone tz, bool noDST=False) -> DateTime
DateTime | `MakeUTC(self, noDST)`
DateTime | `Now()` (Static method)
bool | `Ok(self)`
int | `ParseDate(self, date)`
int | `ParseDateTime(self, datetime)`
int | `ParseFormat(self, date, format, dateDef)`
int | `ParseRfc822Date(self, date)`
int | `ParseTime(self, time)`
DateTime | `ResetTime(self)`
DateTime | `Set(self, day, month, year, hour, minute, second, millisec)`
| `SetCountry(country)` (Static method)
DateTime | `SetDay(self, day)`
DateTime | `SetHMS(self, hour, minute, second, millisec)`
DateTime | `SetHour(self, hour)`
DateTime | `SetJDN(self, jdn)`
DateTime | `SetMillisecond(self, millisecond)`
DateTime | `SetMinute(self, minute)`
DateTime | `SetMonth(self, month)`
DateTime | `SetSecond(self, second)`
DateTime | `SetTimeT(self, timet)`
DateTime | `SetToCurrent(self)`
DateTime | `SetToLastMonthDay(self, month, year)`
bool | `SetToLastWeekDay(self, weekday, month, year)`
DateTime | `SetToNextWeekDay(self, weekday)`
DateTime | `SetToPrevWeekDay(self, weekday)`
| ``SetToTheWeek`(*args, **kwargs)` SetToTheWeek is deprecated, use (static) SetToWeekOfYear instead
bool | `SetToWeekDay(self, weekday, n, month, year)`
DateTime | `SetToWeekDayInSameWeek(self, weekday, flags)`
DateTime | `SetToWeekOfYear(year, numWeek, weekday)` (Static method)
DateTime | `SetToYearDay(self, yday)`
DateTime | `SetYear(self, year)`
TimeSpan | `Subtract(self, dt)`
DateTime | `SubtractDS(self, diff)`
DateTime | `SubtractTS(self, diff)`
DateTime | `Today()` (Static method)
DateTime | `ToGMT(self, noDST)`
| ``ToTimezone`(*args, **kwargs)` ToTimezone(self, wxDateTime::TimeZone tz, bool noDST=False) -> DateTime
DateTime | `ToUTC(self, noDST)`
DateTime | `UNow()` (Static method)

Property Summary
| `Day`: See `GetDay` and `SetDay`
| `DayOfYear`: See `GetDayOfYear`
| `Hour`: See `GetHour` and `SetHour`
| `JDN`: See `GetJDN` and `SetJDN`
| `JulianDayNumber`: See `GetJulianDayNumber`
| `LastMonthDay`: See `GetLastMonthDay`
| `LastWeekDay`: See `GetLastWeekDay`
| `Millisecond`: See `GetMillisecond` and `SetMillisecond`
| `Minute`: See `GetMinute` and `SetMinute`
| `MJD`: See `GetMJD`
| `ModifiedJulianDayNumber`: See `GetModifiedJulianDayNumber`
| `Month`: See `GetMonth` and `SetMonth`
| `NextWeekDay`: See `GetNextWeekDay`
| `PrevWeekDay`: See `GetPrevWeekDay`
| `RataDie`: See `GetRataDie`
| `Second`: See `GetSecond` and `SetSecond`
| `thisown`: The membership flag
| `Ticks`: See `GetTicks`
| `Week`: See `GetWeek`
| `WeekDay`: See `GetWeekDay`
| `WeekDayInSameWeek`: See `GetWeekDayInSameWeek`
| `WeekOfMonth`: See `GetWeekOfMonth`
| `WeekOfYear`: See `GetWeekOfYear`
| `Year`: See `GetYear` and `SetYear`
| `YearDay`: See `GetYearDay`

Class Variable Summary
`int` | `A_CST` = 27
`int` | `A_ESST` = 24
`int` | `A_EST` = 23
`int` | `A_WST` = 21
`int` | `ADT` = 10
`int` | `AKDT` = 5
`int` | `AKST` = 4
`int` | `Apr` = 3
`int` | `AST` = 9
`int` | `Aug` = 7
`int` | `CDT` = 8
`int` | `CEST` = 15
`int` | `CET` = 14
`int` | `Country_Default` = 1
`int` | `Country_EEC` = 2
`int` | `Country_Unknown` = 0
`int` | `Country_WesternEurope_End` = 5
`int` | `Country_WesternEurope_Start` = 2
`int` | `CST` = 7
`int` | `Dec` = 11
`int` | `Default_First` = 0
`int` | `EDT` = 9
`int` | `EEST` = 16
`int` | `EET` = 15
`int` | `EST` = 8
`int` | `Feb` = 1
`int` | `France` = 3
`int` | `Fri` = 5
`int` | `Germany` = 4
`int` | `GMT0` = 13
`int` | `GMT1` = 14
`int` | `GMT10` = 23
`int` | `GMT11` = 24
`int` | `GMT12` = 25
`int` | `GMT13` = 26
`int` | `GMT2` = 15
`int` | `GMT3` = 16
`int` | `GMT4` = 17
`int` | `GMT5` = 18
`int` | `GMT6` = 19
`int` | `GMT7` = 20
`int` | `GMT8` = 21
`int` | `GMT9` = 22
`int` | `GMT_1` = 12
`int` | `GMT_10` = 3
`int` | `GMT_11` = 2
`int` | `GMT_12` = 1
`int` | `GMT_2` = 11
`int` | `GMT_3` = 10
`int` | `GMT_4` = 9
`int` | `GMT_5` = 8
`int` | `GMT_6` = 7
`int` | `GMT_7` = 6
`int` | `GMT_8` = 5
`int` | `GMT_9` = 4
`int` | `Gr_Alaska` = 2
`int` | `Gr_Albania` = 3
`int` | `Gr_Austria` = 0
`int` | `Gr_Austria_Brixen` = 1
`int` | `Gr_Austria_Carinthia` = 2
`int` | `Gr_Austria_Salzburg` = 1
`int` | `Gr_Austria_Styria` = 2
`int` | `Gr_Austria_Tyrol` = 1
`int` | `Gr_Belgium` = 3
`int` | `Gr_Bulgaria` = 0
`int` | `Gr_Bulgaria_1` = 1
`int` | `Gr_Bulgaria_2` = 2
`int` | `Gr_Bulgaria_3` = 3
`int` | `Gr_Canada` = 0
`int` | `Gr_China` = 0
`int` | `Gr_China_1` = 1
`int` | `Gr_China_2` = 2
`int` | `Gr_Czechoslovakia` = 3
`int` | `Gr_Denmark` = 4
`int` | `Gr_Egypt` = 5
`int` | `Gr_Estonia` = 6
`int` | `Gr_Finland` = 7
`int` | `Gr_France` = 8
`int` | `Gr_France_Alsace` = 9
`int` | `Gr_France_Lorraine` = 10
`int` | `Gr_France_Strasbourg` = 11
`int` | `Gr_Germany` = 0
`int` | `Gr_Germany_Catholic` = 1
`int` | `Gr_Germany_Protestant` = 3
`int` | `Gr_Germany_Prussia` = 2
`int` | `Gr_GreatBritain` = 4
`int` | `Gr_Greece` = 5
`int` | `Gr_Hungary` = 6
`int` | `Gr_Ireland` = 4
`int` | `Gr_Italy` = 1
`int` | `Gr_Japan` = 0
`int` | `Gr_Japan_1` = 1
`int` | `Gr_Japan_2` = 2
`int` | `Gr_Japan_3` = 3
`int` | `Gr_Latvia` = 4
`int` | `Gr_Lithuania` = 5
`int` | `Gr_Luxemburg` = 6
`int` | `Gr_Netherlands` = 3
`int` | `Gr_Netherlands_Friesland` = 7
`int` | `Gr_Netherlands_Gelderland` = 5
`int` | `Gr_Netherlands_Groningen` = 4
`int` | `Gr_Netherlands_Utrecht` = 6
`int` | `Gr_Norway` = 4
`int` | `Gr_Poland` = 1
`int` | `Gr_Portugal` = 1
`int` | `Gr_Romania` = 2
`int` | `Gr_Russia` = 3
`int` | `Gr_Scotland` = 4
`int` | `Gr_Spain` = 1
`int` | `Gr_Standard` = 1
`int` | `Gr_Sweden` = 7
`int` | `Gr_Switzerland` = 0
`int` | `Gr_Switzerland_Catholic` = 1
`int` | `Gr_Switzerland_Protestant` = 2
`int` | `Gr_Turkey` = 3
`int` | `Gr_Unknown` = 0
`int` | `Gr_USA` = 4
`int` | `Gr_Wales` = 4
`int` | `Gr_Yugoslavia` = 5
`int` | `Gregorian` = 0
`int` | `HST` = 3
`int` | `Inv_Month` = 12
`int` | `Inv_WeekDay` = 7
`int` | `Inv_Year` = -32768
`int` | `Jan` = 0
`int` | `Jul` = 6
`int` | `Julian` = 1
`int` | `Jun` = 5
`int` | `Local` = 0
`int` | `Mar` = 2
`int` | `May` = 4
`int` | `MDT` = 7
`int` | `Mon` = 1
`int` | `Monday_First` = 1
`int` | `MSD` = 17
`int` | `MSK` = 16
`int` | `MST` = 6
`int` | `Name_Abbr` = 2
`int` | `Name_Full` = 1
`int` | `Nov` = 10
`int` | `NZDT` = 26
`int` | `NZST` = 25
`int` | `Oct` = 9
`int` | `PDT` = 6
`int` | `PST` = 5
`int` | `Russia` = 6
`int` | `Sat` = 6
`int` | `Sep` = 8
`int` | `Sun` = 0
`int` | `Sunday_First` = 2
`int` | `Thu` = 4
`int` | `Tue` = 2
`int` | `UK` = 5
`int` | `USA` = 7
`int` | `UTC` = 13
`int` | `Wed` = 3
`int` | `WEST` = 14
`int` | `WET` = 13

Instance Method Details

### __add__(self, other)
(Addition operator)

__add__(self, DateSpan other) -> DateTime

  Parameters:
    `other`
    (type=TimeSpan)

  Returns:
    DateTime

### __iadd__(self, diff)

__iadd__(self, DateSpan diff) -> DateTime

  Parameters:
    `diff`
    (type=TimeSpan)

  Returns:
    DateTime

### __isub__(self, diff)

__isub__(self, DateSpan diff) -> DateTime

  Parameters:
    `diff`
    (type=TimeSpan)

  Returns:
    DateTime

### __sub__(self, other)
(Subtraction operator)

__sub__(self, TimeSpan other) -> DateTime __sub__(self, DateSpan other) -> DateTime

  Parameters:
    `other`
    (type=DateTime)

  Returns:
    TimeSpan

### FromTimezone(*args, **kwargs)

FromTimezone(self, wxDateTime::TimeZone tz, bool noDST=False) -> DateTime

### GetDay(*args, **kwargs)

GetDay(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### GetDayOfYear(*args, **kwargs)

GetDayOfYear(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### GetHour(*args, **kwargs)

GetHour(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### GetMillisecond(*args, **kwargs)

GetMillisecond(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### GetMinute(*args, **kwargs)

GetMinute(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### GetMonth(*args, **kwargs)

GetMonth(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### GetSecond(*args, **kwargs)

GetSecond(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### GetWeek(*args, **kwargs)

GetWeek is deprecated, use GetWeekOfYear instead

### GetWeekDay(*args, **kwargs)

GetWeekDay(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### GetYear(*args, **kwargs)

GetYear(self, wxDateTime::TimeZone tz=LOCAL_TZ) -> int

### MakeFromTimezone(*args, **kwargs)

MakeFromTimezone(self, wxDateTime::TimeZone tz, bool noDST=False) -> DateTime

### MakeTimezone(*args, **kwargs)

MakeTimezone(self, wxDateTime::TimeZone tz, bool noDST=False) -> DateTime

### SetToTheWeek(*args, **kwargs)

SetToTheWeek is deprecated, use (static) SetToWeekOfYear instead

### ToTimezone(*args, **kwargs)

ToTimezone(self, wxDateTime::TimeZone tz, bool noDST=False) -> DateTime

Static Method Details

### GetAmPmStrings()

Get the AM and PM strings in the current locale (may be empty)

  Returns:
    (am, pm)

Property Details

### Day

See `GetDay` and `SetDay`

  Get Method:
    `GetDay`(*args, **kwargs)
  Set Method:
    `SetDay`(self, day)

### DayOfYear

See `GetDayOfYear`

  Get Method:
    `GetDayOfYear`(*args, **kwargs)

### Hour

See `GetHour` and `SetHour`

  Get Method:
    `GetHour`(*args, **kwargs)
  Set Method:
    `SetHour`(self, hour)

### JDN

See `GetJDN` and `SetJDN`

  Get Method:
    `GetJDN`(self)
  Set Method:
    `SetJDN`(self, jdn)

### JulianDayNumber

See `GetJulianDayNumber`

  Get Method:
    `GetJulianDayNumber`(self)

### LastMonthDay

See `GetLastMonthDay`

  Get Method:
    `GetLastMonthDay`(self, month, year)

### LastWeekDay

See `GetLastWeekDay`

  Get Method:
    `GetLastWeekDay`(self, weekday, month, year)

### Millisecond

See `GetMillisecond` and `SetMillisecond`

  Get Method:
    `GetMillisecond`(*args, **kwargs)
  Set Method:
    `SetMillisecond`(self, millisecond)

### Minute

See `GetMinute` and `SetMinute`

  Get Method:
    `GetMinute`(*args, **kwargs)
  Set Method:
    `SetMinute`(self, minute)

### MJD

See `GetMJD`

  Get Method:
    `GetMJD`(self)

### ModifiedJulianDayNumber

See `GetModifiedJulianDayNumber`

  Get Method:
    `GetModifiedJulianDayNumber`(self)

### Month

See `GetMonth` and `SetMonth`

  Get Method:
    `GetMonth`(*args, **kwargs)
  Set Method:
    `SetMonth`(self, month)

### NextWeekDay

See `GetNextWeekDay`

  Get Method:
    `GetNextWeekDay`(self, weekday)

### PrevWeekDay

See `GetPrevWeekDay`

  Get Method:
    `GetPrevWeekDay`(self, weekday)

### RataDie

See `GetRataDie`

  Get Method:
    `GetRataDie`(self)

### Second

See `GetSecond` and `SetSecond`

  Get Method:
    `GetSecond`(*args, **kwargs)
  Set Method:
    `SetSecond`(self, second)

### thisown

The membership flag

### Ticks

See `GetTicks`

  Get Method:
    `GetTicks`(self)

### Week

See `GetWeek`

  Get Method:
    `deprecatedWrapper`(*args, **kwargs)

### WeekDay

See `GetWeekDay`

  Get Method:
    `GetWeekDay`(*args, **kwargs)

### WeekDayInSameWeek

See `GetWeekDayInSameWeek`

  Get Method:
    `GetWeekDayInSameWeek`(self, weekday, flags)

### WeekOfMonth

See `GetWeekOfMonth`

  Get Method:
    `GetWeekOfMonth`(self, flags, tz)

### WeekOfYear

See `GetWeekOfYear`

  Get Method:
    `GetWeekOfYear`(self, flags, tz)

### Year

See `GetYear` and `SetYear`

  Get Method:
    `GetYear`(*args, **kwargs)
  Set Method:
    `SetYear`(self, year)

### YearDay

See `GetYearDay`

  Get Method:
    `GetYearDay`(self, yday)

Class Variable Details

### A_CST

  Type:
    `int`
  Value:

        27

### A_ESST

  Type:
    `int`
  Value:

        24

### A_EST

  Type:
    `int`
  Value:

        23

### A_WST

  Type:
    `int`
  Value:

        21

### ADT

  Type:
    `int`
  Value:

        10

### AKDT

  Type:
    `int`
  Value:

        5

### AKST

  Type:
    `int`
  Value:

        4

### Apr

  Type:
    `int`
  Value:

        3

### AST

  Type:
    `int`
  Value:

        9

### Aug

  Type:
    `int`
  Value:

        7

### CDT

  Type:
    `int`
  Value:

        8

### CEST

  Type:
    `int`
  Value:

        15

### CET

  Type:
    `int`
  Value:

        14

### Country_Default

  Type:
    `int`
  Value:

        1

### Country_EEC

  Type:
    `int`
  Value:

        2

### Country_Unknown

  Type:
    `int`
  Value:

        0

### Country_WesternEurope_End

  Type:
    `int`
  Value:

        5

### Country_WesternEurope_Start

  Type:
    `int`
  Value:

        2

### CST

  Type:
    `int`
  Value:

        7

### Dec

  Type:
    `int`
  Value:

        11

### Default_First

  Type:
    `int`
  Value:

        0

### EDT

  Type:
    `int`
  Value:

        9

### EEST

  Type:
    `int`
  Value:

        16

### EET

  Type:
    `int`
  Value:

        15

### EST

  Type:
    `int`
  Value:

        8

### Feb

  Type:
    `int`
  Value:

        1

### France

  Type:
    `int`
  Value:

        3

### Fri

  Type:
    `int`
  Value:

        5

### Germany

  Type:
    `int`
  Value:

        4

### GMT0

  Type:
    `int`
  Value:

        13

### GMT1

  Type:
    `int`
  Value:

        14

### GMT10

  Type:
    `int`
  Value:

        23

### GMT11

  Type:
    `int`
  Value:

        24

### GMT12

  Type:
    `int`
  Value:

        25

### GMT13

  Type:
    `int`
  Value:

        26

### GMT2

  Type:
    `int`
  Value:

        15

### GMT3

  Type:
    `int`
  Value:

        16

### GMT4

  Type:
    `int`
  Value:

        17

### GMT5

  Type:
    `int`
  Value:

        18

### GMT6

  Type:
    `int`
  Value:

        19

### GMT7

  Type:
    `int`
  Value:

        20

### GMT8

  Type:
    `int`
  Value:

        21

### GMT9

  Type:
    `int`
  Value:

        22

### GMT_1

  Type:
    `int`
  Value:

        12

### GMT_10

  Type:
    `int`
  Value:

        3

### GMT_11

  Type:
    `int`
  Value:

        2

### GMT_12

  Type:
    `int`
  Value:

        1

### GMT_2

  Type:
    `int`
  Value:

        11

### GMT_3

  Type:
    `int`
  Value:

        10

### GMT_4

  Type:
    `int`
  Value:

        9

### GMT_5

  Type:
    `int`
  Value:

        8

### GMT_6

  Type:
    `int`
  Value:

        7

### GMT_7

  Type:
    `int`
  Value:

        6

### GMT_8

  Type:
    `int`
  Value:

        5

### GMT_9

  Type:
    `int`
  Value:

        4

### Gr_Alaska

  Type:
    `int`
  Value:

        2

### Gr_Albania

  Type:
    `int`
  Value:

        3

### Gr_Austria

  Type:
    `int`
  Value:

        0

### Gr_Austria_Brixen

  Type:
    `int`
  Value:

        1

### Gr_Austria_Carinthia

  Type:
    `int`
  Value:

        2

### Gr_Austria_Salzburg

  Type:
    `int`
  Value:

        1

### Gr_Austria_Styria

  Type:
    `int`
  Value:

        2

### Gr_Austria_Tyrol

  Type:
    `int`
  Value:

        1

### Gr_Belgium

  Type:
    `int`
  Value:

        3

### Gr_Bulgaria

  Type:
    `int`
  Value:

        0

### Gr_Bulgaria_1

  Type:
    `int`
  Value:

        1

### Gr_Bulgaria_2

  Type:
    `int`
  Value:

        2

### Gr_Bulgaria_3

  Type:
    `int`
  Value:

        3

### Gr_Canada

  Type:
    `int`
  Value:

        0

### Gr_China

  Type:
    `int`
  Value:

        0

### Gr_China_1

  Type:
    `int`
  Value:

        1

### Gr_China_2

  Type:
    `int`
  Value:

        2

### Gr_Czechoslovakia

  Type:
    `int`
  Value:

        3

### Gr_Denmark

  Type:
    `int`
  Value:

        4

### Gr_Egypt

  Type:
    `int`
  Value:

        5

### Gr_Estonia

  Type:
    `int`
  Value:

        6

### Gr_Finland

  Type:
    `int`
  Value:

        7

### Gr_France

  Type:
    `int`
  Value:

        8

### Gr_France_Alsace

  Type:
    `int`
  Value:

        9

### Gr_France_Lorraine

  Type:
    `int`
  Value:

        10

### Gr_France_Strasbourg

  Type:
    `int`
  Value:

        11

### Gr_Germany

  Type:
    `int`
  Value:

        0

### Gr_Germany_Catholic

  Type:
    `int`
  Value:

        1

### Gr_Germany_Protestant

  Type:
    `int`
  Value:

        3

### Gr_Germany_Prussia

  Type:
    `int`
  Value:

        2

### Gr_GreatBritain

  Type:
    `int`
  Value:

        4

### Gr_Greece

  Type:
    `int`
  Value:

        5

### Gr_Hungary

  Type:
    `int`
  Value:

        6

### Gr_Ireland

  Type:
    `int`
  Value:

        4

### Gr_Italy

  Type:
    `int`
  Value:

        1

### Gr_Japan

  Type:
    `int`
  Value:

        0

### Gr_Japan_1

  Type:
    `int`
  Value:

        1

### Gr_Japan_2

  Type:
    `int`
  Value:

        2

### Gr_Japan_3

  Type:
    `int`
  Value:

        3

### Gr_Latvia

  Type:
    `int`
  Value:

        4

### Gr_Lithuania

  Type:
    `int`
  Value:

        5

### Gr_Luxemburg

  Type:
    `int`
  Value:

        6

### Gr_Netherlands

  Type:
    `int`
  Value:

        3

### Gr_Netherlands_Friesland

  Type:
    `int`
  Value:

        7

### Gr_Netherlands_Gelderland

  Type:
    `int`
  Value:

        5

### Gr_Netherlands_Groningen

  Type:
    `int`
  Value:

        4

### Gr_Netherlands_Utrecht

  Type:
    `int`
  Value:

        6

### Gr_Norway

  Type:
    `int`
  Value:

        4

### Gr_Poland

  Type:
    `int`
  Value:

        1

### Gr_Portugal

  Type:
    `int`
  Value:

        1

### Gr_Romania

  Type:
    `int`
  Value:

        2

### Gr_Russia

  Type:
    `int`
  Value:

        3

### Gr_Scotland

  Type:
    `int`
  Value:

        4

### Gr_Spain

  Type:
    `int`
  Value:

        1

### Gr_Standard

  Type:
    `int`
  Value:

        1

### Gr_Sweden

  Type:
    `int`
  Value:

        7

### Gr_Switzerland

  Type:
    `int`
  Value:

        0

### Gr_Switzerland_Catholic

  Type:
    `int`
  Value:

        1

### Gr_Switzerland_Protestant

  Type:
    `int`
  Value:

        2

### Gr_Turkey

  Type:
    `int`
  Value:

        3

### Gr_Unknown

  Type:
    `int`
  Value:

        0

### Gr_USA

  Type:
    `int`
  Value:

        4

### Gr_Wales

  Type:
    `int`
  Value:

        4

### Gr_Yugoslavia

  Type:
    `int`
  Value:

        5

### Gregorian

  Type:
    `int`
  Value:

        0

### HST

  Type:
    `int`
  Value:

        3

### Inv_Month

  Type:
    `int`
  Value:

        12

### Inv_WeekDay

  Type:
    `int`
  Value:

        7

### Inv_Year

  Type:
    `int`
  Value:

        -32768

### Jan

  Type:
    `int`
  Value:

        0

### Jul

  Type:
    `int`
  Value:

        6

### Julian

  Type:
    `int`
  Value:

        1

### Jun

  Type:
    `int`
  Value:

        5

### Local

  Type:
    `int`
  Value:

        0

### Mar

  Type:
    `int`
  Value:

        2

### May

  Type:
    `int`
  Value:

        4

### MDT

  Type:
    `int`
  Value:

        7

### Mon

  Type:
    `int`
  Value:

        1

### Monday_First

  Type:
    `int`
  Value:

        1

### MSD

  Type:
    `int`
  Value:

        17

### MSK

  Type:
    `int`
  Value:

        16

### MST

  Type:
    `int`
  Value:

        6

### Name_Abbr

  Type:
    `int`
  Value:

        2

### Name_Full

  Type:
    `int`
  Value:

        1

### Nov

  Type:
    `int`
  Value:

        10

### NZDT

  Type:
    `int`
  Value:

        26

### NZST

  Type:
    `int`
  Value:

        25

### Oct

  Type:
    `int`
  Value:

        9

### PDT

  Type:
    `int`
  Value:

        6

### PST

  Type:
    `int`
  Value:

        5

### Russia

  Type:
    `int`
  Value:

        6

### Sat

  Type:
    `int`
  Value:

        6

### Sep

  Type:
    `int`
  Value:

        8

### Sun

  Type:
    `int`
  Value:

        0

### Sunday_First

  Type:
    `int`
  Value:

        2

### Thu

  Type:
    `int`
  Value:

        4

### Tue

  Type:
    `int`
  Value:

        2

### UK

  Type:
    `int`
  Value:

        5

### USA

  Type:
    `int`
  Value:

        7

### UTC

  Type:
    `int`
  Value:

        13

### Wed

  Type:
    `int`
  Value:

        3

### WEST

  Type:
    `int`
  Value:

        14

### WET

  Type:
    `int`
  Value:

        13

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:25 2007 | http://epydoc.sf.net